org.keycloak.authentication.model

## Class ExternalModelAuthenticationProvider

- java.lang.Object
- - org.keycloak.authentication.model.AbstractModelAuthenticationProvider
  - - org.keycloak.authentication.model.ExternalModelAuthenticationProvider

- All Implemented Interfaces:
    AuthenticationProvider, Provider

      public class ExternalModelAuthenticationProvider
      extends AbstractModelAuthenticationProvider

  AbstractModelAuthenticationProvider, which delegates authentication operations to different (external) realm
  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalModelAuthenticationProvider(ProviderSession providerSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAvailableOptions()` Get names of all available configuration options of current provider
    `String` | `getName()`
    `RealmModel` | `getRealm(RealmModel currentRealm, Map<String,String> configuration)`

    - ### Methods inherited from class org.keycloak.authentication.model.AbstractModelAuthenticationProvider

      `close, createAuthenticatedUserInstance, getUser, registerUser, updateCredential, validatePassword`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalModelAuthenticationProvider

          public ExternalModelAuthenticationProvider(ProviderSession providerSession)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getAvailableOptions

          public List<String> getAvailableOptions()

      Description copied from interface: `AuthenticationProvider`
      Get names of all available configuration options of current provider
      Returns:
        options or empty list if no options available

    - #### getRealm

          public RealmModel getRealm(RealmModel currentRealm,
                            Map<String,String> configuration)
                              throws AuthenticationProviderException

      Specified by:
        `getRealm` in class `AbstractModelAuthenticationProvider`
      Throws:
        `AuthenticationProviderException`

Copyright © 2014. All Rights Reserved.